Skip to main content
POST
/
v1
/
shorts
/
{id}
/
regenerate-thumbnail
Regenerate thumbnail for a short
curl --request POST \
  --url https://api.yalg.ai/v1/shorts/{id}/regenerate-thumbnail \
  --header 'x-api-key: <api-key>'
{
  "id": "018f9f43-1a76-7b1e-a3ce-f01cce71c641",
  "title": "The 30-second lesson",
  "status": "draft",
  "sourceScriptJobId": "018f9f42-9c1d-7b12-97c4-8142b8a27c90",
  "thumbnailStatus": "pending",
  "createdAt": "2026-06-20T17:24:39.000Z",
  "updatedAt": "2026-06-20T17:24:39.000Z"
}

Authorizations

x-api-key
string
header
default:yalg_live_your_api_key
required

YALG Developer API key. Send it in the x-api-key header from a server-side environment only.

Path Parameters

id
string
required

Resource identifier.

Example:

"018f9f40-7d7b-7712-9b0f-2e5d9fd5df3f"

Response

Thumbnail regeneration started

Short-form video generation job.

id
string<uuid>

Job identifier.

Example:

"018f9f40-7d7b-7712-9b0f-2e5d9fd5df3f"

status
string
Example:

"pending"

currentStep
string
Example:

"draft_generation"

qualityScore
number
Example:

0.91

riskLevel
string
Example:

"low"

warnings
string[]
totalTokensUsed
integer
Example:

1284

startedAt
string<date-time>
Example:

"2026-06-20T17:24:39.000Z"

completedAt
string<date-time>
Example:

"2026-06-20T17:24:39.000Z"

createdAt
string<date-time>
Example:

"2026-06-20T17:24:39.000Z"

updatedAt
string<date-time>
Example:

"2026-06-20T17:24:39.000Z"

title
string
Example:

"The 30-second lesson"

sourceScriptJobId
string<uuid>

Source script job identifier.

Example:

"018f9f40-7d7b-7712-9b0f-2e5d9fd5df3f"

thumbnailStatus
string
Example:

"pending"